> For the complete documentation index, see [llms.txt](https://api.docs.nexx.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.nexx.cloud/media-api/endpoints.md).

# Endpoints

For most Cases, the default Media API is the right Choice - it allows you query Lists of all default Media Types and add as many Details as necessary

{% content-ref url="/pages/-M9bg6kCRXQmMoV5B2b8" %}
[Media Data](/media-api/endpoints/media-endpoint.md)
{% endcontent-ref %}

If you need to query various Media Types at the same Time, you need to use the All Media Data API

{% content-ref url="/pages/-M9wmv37peJ4mEbPJw\_i" %}
[All Media Data](/media-api/endpoints/all-media-data.md)
{% endcontent-ref %}

Interaction Objects like Forms, Polls and Votings share some Similarities with Media Types, but work differently. They cannot be listed for example. If you want to access those Details, use the Template API

{% content-ref url="/pages/-M9bgGjjjFTc7F-tzSlx" %}
[Template Data](/media-api/endpoints/template-endpoint.md)
{% endcontent-ref %}

If you need various Informations within one Call, but the All Media Data does not help or not even Output Modifiers give enough Details, you may combine or batch various Calls into one with the Processing API

{% content-ref url="/pages/-M9bgX-oF0Pbx0fJewf6" %}
[Processing](/media-api/endpoints/processing-endpoint.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.docs.nexx.cloud/media-api/endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
